Subject: Re: [PATCH] RFC/Add documentation for version protocol 2

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Apr 2015 16:30:17 -0700

Stefan Beller <[email-masked]> writes:

>>> +action           = "noop" / "ls-remote" / "fetch" / "push" / "fetch-shallow"
> ...
>> If we are going in this "in-protocol message switches the service"
>> route, we should also support "archive" as one of the actions, no?
>> Yes, I know you named the document "pack-protocol" and "archive"
>> does not give you packs, but "ls-remote" does not transfer pack data,
>> either.
>
> I'll add that. Also I need to incorporate shallow in one way or another.

This level of detail may not matter at this point yet, but it is
unclear to me why you have "fetch-shallow" as a separate thing
(while not having "push-shallow").  The current infrastructure does
already allow fetching into shallow repositories witout needing a
separate action that is different from "fetch" (aka "upload-pack").
I would not be surprised if it were "I can deepn you if you want"
capability, but I do not understand why you are singling out
"shallow" as something that needs such a special treatment.